Obtener un mapeo de actor
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/governance/actor-mappings/{actorId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://matcher.sandbox.lerian.net/v1/governance/actor-mappings/{actorId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/governance/actor-mappings/{actorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actorId": "user-abc-123",
"displayName": "John Doe",
"email": "john.doe@company.com",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "The request contains invalid parameters or malformed syntax. Please check your request and try again."
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0004",
"title": "Forbidden",
"message": "You do not have the necessary permissions to perform this action. Please contact your administrator if you believe this is an error."
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0002",
"title": "Internal Server Error",
"message": "internal server error"
}Obtener un mapeo de actor
Utilice este endpoint para recuperar el nombre de visualización y el correo electrónico asociados a un identificador de actor específico.
GET
/
v1
/
governance
/
actor-mappings
/
{actorId}
Obtener un mapeo de actor
Autorizaciones
Autenticación con token Bearer (formato: "Bearer {token}")
Encabezados
A unique identifier for tracing the request across services.
Parámetros de ruta
The actor identifier.
Respuesta
Mapeo de actor recuperado correctamente
Un mapeo de actor que asocia un identificador de sistema con información de visualización
El identificador del actor
Ejemplo:
"user-abc-123"
Nombre de visualización legible
Ejemplo:
"John Doe"
Dirección de correo electrónico
Ejemplo:
"john.doe@company.com"
Marca de tiempo de cuando se creó el mapeo
Marca de tiempo de la última actualización del mapeo
¿Esta página le ayudó?
⌘I

